Drafts
List Drafts
Path Parameters
The ID of the inbox.
Query Parameters
Limit of number of items returned.
Page token for pagination.
Labels to filter by.
Timestamp before which to filter by.
date-timeTimestamp after which to filter by.
date-timeSort in ascending temporal order.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/drafts" \ -H "Authorization: string"{
"count": 0,
"limit": 0,
"next_page_token": "string",
"drafts": [
{
"inbox_id": "string",
"draft_id": "string",
"labels": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"send_status": "scheduled",
"send_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"name": "string",
"message": "string"
}Create Draft
Path Parameters
The ID of the inbox.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/inboxes/string/drafts" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"inbox_id": "string",
"draft_id": "string",
"client_id": "string",
"labels": [
"string"
],
"reply_to": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"text": "string",
"html": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"references": [
"string"
],
"send_status": "scheduled",
"send_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Get Draft
Path Parameters
The ID of the inbox.
ID of draft.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/drafts/string" \ -H "Authorization: string"{
"inbox_id": "string",
"draft_id": "string",
"client_id": "string",
"labels": [
"string"
],
"reply_to": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"text": "string",
"html": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"references": [
"string"
],
"send_status": "scheduled",
"send_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Update Draft
Path Parameters
The ID of the inbox.
ID of draft.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://api.agentry.to/agent/v0/inboxes/string/drafts/string" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"inbox_id": "string",
"draft_id": "string",
"client_id": "string",
"labels": [
"string"
],
"reply_to": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"text": "string",
"html": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"references": [
"string"
],
"send_status": "scheduled",
"send_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Delete Draft
Path Parameters
The ID of the inbox.
ID of draft.
Header Parameters
Bearer authentication
Response Body
application/json
curl -X DELETE "https://api.agentry.to/agent/v0/inboxes/string/drafts/string" \ -H "Authorization: string"{
"name": "string",
"message": "string"
}Get Attachment
Path Parameters
The ID of the inbox.
ID of draft.
ID of attachment.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/drafts/string/attachments/string" \ -H "Authorization: string"{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string",
"download_url": "string",
"expires_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Send Draft
Path Parameters
The ID of the inbox.
ID of draft.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/inboxes/string/drafts/string/send" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"message_id": "string",
"thread_id": "string"
}{
"name": "string",
"errors": null
}{
"name": "string",
"message": "string"
}{
"name": "string",
"message": "string"
}